depends = ('ITKPyBase', 'ITKCommon', )
templates = (
  ('ImageIOBase', 'itk::ImageIOBase', 'itkImageIOBase', True),
  ('StreamingImageIOBase', 'itk::StreamingImageIOBase', 'itkStreamingImageIOBase', True),
  ('ImageIOFactory', 'itk::ImageIOFactory', 'itkImageIOFactory', True),
  ('ArchetypeSeriesFileNames', 'itk::ArchetypeSeriesFileNames', 'itkArchetypeSeriesFileNames', True),
  ('NumericSeriesFileNames', 'itk::NumericSeriesFileNames', 'itkNumericSeriesFileNames', True),
  ('RegularExpressionSeriesFileNames', 'itk::RegularExpressionSeriesFileNames', 'itkRegularExpressionSeriesFileNames', True),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIULL2', True, 'itk::Image< unsigned long long,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIULL3', True, 'itk::Image< unsigned long long,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIULL4', True, 'itk::Image< unsigned long long,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderISI2', True, 'itk::Image< signed int,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderISI3', True, 'itk::Image< signed int,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderISI4', True, 'itk::Image< signed int,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUI2', True, 'itk::Image< unsigned int,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUI3', True, 'itk::Image< unsigned int,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUI4', True, 'itk::Image< unsigned int,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUC4', True, 'itk::Image< unsigned char,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBUC2', True, 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBUC3', True, 'itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBUC4', True, 'itk::Image< itk::RGBPixel< unsigned char >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBAUC2', True, 'itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBAUC3', True, 'itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBAUC4', True, 'itk::Image< itk::RGBAPixel< unsigned char >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF22', True, 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF23', True, 'itk::Image< itk::Vector< float,2 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF24', True, 'itk::Image< itk::Vector< float,2 >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF32', True, 'itk::Image< itk::Vector< float,3 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF33', True, 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF34', True, 'itk::Image< itk::Vector< float,3 >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF42', True, 'itk::Image< itk::Vector< float,4 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF43', True, 'itk::Image< itk::Vector< float,4 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF44', True, 'itk::Image< itk::Vector< float,4 >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF22', True, 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF23', True, 'itk::Image< itk::CovariantVector< float,2 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF24', True, 'itk::Image< itk::CovariantVector< float,2 >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF32', True, 'itk::Image< itk::CovariantVector< float,3 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF33', True, 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF34', True, 'itk::Image< itk::CovariantVector< float,3 >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF42', True, 'itk::Image< itk::CovariantVector< float,4 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF43', True, 'itk::Image< itk::CovariantVector< float,4 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF44', True, 'itk::Image< itk::CovariantVector< float,4 >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderISS2', True, 'itk::Image< signed short,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderISS3', True, 'itk::Image< signed short,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderISS4', True, 'itk::Image< signed short,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUS2', True, 'itk::Image< unsigned short,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUS3', True, 'itk::Image< unsigned short,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUS4', True, 'itk::Image< unsigned short,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIF2', True, 'itk::Image< float,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIF3', True, 'itk::Image< float,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIF4', True, 'itk::Image< float,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderID2', True, 'itk::Image< double,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderID3', True, 'itk::Image< double,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderID4', True, 'itk::Image< double,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICD2', True, 'itk::Image< std::complex< double >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICD3', True, 'itk::Image< std::complex< double >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICD4', True, 'itk::Image< std::complex< double >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICF2', True, 'itk::Image< std::complex< float >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICF3', True, 'itk::Image< std::complex< float >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICF4', True, 'itk::Image< std::complex< float >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVISS2', True, 'itk::VectorImage< signed short,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUC2', True, 'itk::VectorImage< unsigned char,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUS2', True, 'itk::VectorImage< unsigned short,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIF2', True, 'itk::VectorImage< float,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVID2', True, 'itk::VectorImage< double,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVISS3', True, 'itk::VectorImage< signed short,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUC3', True, 'itk::VectorImage< unsigned char,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUS3', True, 'itk::VectorImage< unsigned short,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIF3', True, 'itk::VectorImage< float,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVID3', True, 'itk::VectorImage< double,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVISS4', True, 'itk::VectorImage< signed short,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUC4', True, 'itk::VectorImage< unsigned char,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUS4', True, 'itk::VectorImage< unsigned short,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIF4', True, 'itk::VectorImage< float,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVID4', True, 'itk::VectorImage< double,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIULL2', True, 'itk::Image< unsigned long long,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIULL3', True, 'itk::Image< unsigned long long,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIULL4', True, 'itk::Image< unsigned long long,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUI2', True, 'itk::Image< unsigned int,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUI3', True, 'itk::Image< unsigned int,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUI4', True, 'itk::Image< unsigned int,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterISI2', True, 'itk::Image< signed int,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterISI3', True, 'itk::Image< signed int,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterISI4', True, 'itk::Image< signed int,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUC4', True, 'itk::Image< unsigned char,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBUC2', True, 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBUC3', True, 'itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBUC4', True, 'itk::Image< itk::RGBPixel< unsigned char >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBAUC2', True, 'itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBAUC3', True, 'itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBAUC4', True, 'itk::Image< itk::RGBAPixel< unsigned char >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF22', True, 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF23', True, 'itk::Image< itk::Vector< float,2 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF24', True, 'itk::Image< itk::Vector< float,2 >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF32', True, 'itk::Image< itk::Vector< float,3 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF33', True, 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF34', True, 'itk::Image< itk::Vector< float,3 >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF42', True, 'itk::Image< itk::Vector< float,4 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF43', True, 'itk::Image< itk::Vector< float,4 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF44', True, 'itk::Image< itk::Vector< float,4 >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF22', True, 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF23', True, 'itk::Image< itk::CovariantVector< float,2 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF24', True, 'itk::Image< itk::CovariantVector< float,2 >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF32', True, 'itk::Image< itk::CovariantVector< float,3 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF33', True, 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF34', True, 'itk::Image< itk::CovariantVector< float,3 >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF42', True, 'itk::Image< itk::CovariantVector< float,4 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF43', True, 'itk::Image< itk::CovariantVector< float,4 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF44', True, 'itk::Image< itk::CovariantVector< float,4 >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterISS2', True, 'itk::Image< signed short,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterISS3', True, 'itk::Image< signed short,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterISS4', True, 'itk::Image< signed short,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUS2', True, 'itk::Image< unsigned short,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUS3', True, 'itk::Image< unsigned short,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUS4', True, 'itk::Image< unsigned short,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIF2', True, 'itk::Image< float,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIF3', True, 'itk::Image< float,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIF4', True, 'itk::Image< float,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterID2', True, 'itk::Image< double,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterID3', True, 'itk::Image< double,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterID4', True, 'itk::Image< double,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICD2', True, 'itk::Image< std::complex< double >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICD3', True, 'itk::Image< std::complex< double >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICD4', True, 'itk::Image< std::complex< double >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICF2', True, 'itk::Image< std::complex< float >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICF3', True, 'itk::Image< std::complex< float >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICF4', True, 'itk::Image< std::complex< float >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVISS2', True, 'itk::VectorImage< signed short,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUC2', True, 'itk::VectorImage< unsigned char,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUS2', True, 'itk::VectorImage< unsigned short,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIF2', True, 'itk::VectorImage< float,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVID2', True, 'itk::VectorImage< double,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVISS3', True, 'itk::VectorImage< signed short,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUC3', True, 'itk::VectorImage< unsigned char,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUS3', True, 'itk::VectorImage< unsigned short,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIF3', True, 'itk::VectorImage< float,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVID3', True, 'itk::VectorImage< double,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVISS4', True, 'itk::VectorImage< signed short,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUC4', True, 'itk::VectorImage< unsigned char,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUS4', True, 'itk::VectorImage< unsigned short,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIF4', True, 'itk::VectorImage< float,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVID4', True, 'itk::VectorImage< double,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUC2', True, 'itk::Image< unsigned char,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUC3', True, 'itk::Image< unsigned char,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUC4', True, 'itk::Image< unsigned char,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUI2', True, 'itk::Image< unsigned int,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUI3', True, 'itk::Image< unsigned int,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUI4', True, 'itk::Image< unsigned int,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderISI2', True, 'itk::Image< signed int,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderISI3', True, 'itk::Image< signed int,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderISI4', True, 'itk::Image< signed int,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBUC2', True, 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBUC3', True, 'itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBUC4', True, 'itk::Image< itk::RGBPixel< unsigned char >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBAUC2', True, 'itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBAUC3', True, 'itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBAUC4', True, 'itk::Image< itk::RGBAPixel< unsigned char >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF22', True, 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF23', True, 'itk::Image< itk::Vector< float,2 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF24', True, 'itk::Image< itk::Vector< float,2 >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF32', True, 'itk::Image< itk::Vector< float,3 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF33', True, 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF34', True, 'itk::Image< itk::Vector< float,3 >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF42', True, 'itk::Image< itk::Vector< float,4 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF43', True, 'itk::Image< itk::Vector< float,4 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF44', True, 'itk::Image< itk::Vector< float,4 >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF22', True, 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF23', True, 'itk::Image< itk::CovariantVector< float,2 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF24', True, 'itk::Image< itk::CovariantVector< float,2 >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF32', True, 'itk::Image< itk::CovariantVector< float,3 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF33', True, 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF34', True, 'itk::Image< itk::CovariantVector< float,3 >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF42', True, 'itk::Image< itk::CovariantVector< float,4 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF43', True, 'itk::Image< itk::CovariantVector< float,4 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF44', True, 'itk::Image< itk::CovariantVector< float,4 >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderISS2', True, 'itk::Image< signed short,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderISS3', True, 'itk::Image< signed short,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderISS4', True, 'itk::Image< signed short,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUS2', True, 'itk::Image< unsigned short,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUS3', True, 'itk::Image< unsigned short,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUS4', True, 'itk::Image< unsigned short,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIF2', True, 'itk::Image< float,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIF3', True, 'itk::Image< float,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIF4', True, 'itk::Image< float,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderID2', True, 'itk::Image< double,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderID3', True, 'itk::Image< double,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderID4', True, 'itk::Image< double,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICD2', True, 'itk::Image< std::complex< double >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICD3', True, 'itk::Image< std::complex< double >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICD4', True, 'itk::Image< std::complex< double >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICF2', True, 'itk::Image< std::complex< float >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICF3', True, 'itk::Image< std::complex< float >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICF4', True, 'itk::Image< std::complex< float >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBUC2IRGBUC2', True, 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBUC3IRGBUC3', True, 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBUC4IRGBUC4', True, 'itk::Image< itk::RGBPixel< unsigned char >,4 >, itk::Image< itk::RGBPixel< unsigned char >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBAUC2IRGBAUC2', True, 'itk::Image< itk::RGBAPixel< unsigned char >,2 >, itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBAUC3IRGBAUC3', True, 'itk::Image< itk::RGBAPixel< unsigned char >,3 >, itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBAUC4IRGBAUC4', True, 'itk::Image< itk::RGBAPixel< unsigned char >,4 >, itk::Image< itk::RGBAPixel< unsigned char >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF22IVF22', True, 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF23IVF23', True, 'itk::Image< itk::Vector< float,2 >,3 >, itk::Image< itk::Vector< float,2 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF24IVF24', True, 'itk::Image< itk::Vector< float,2 >,4 >, itk::Image< itk::Vector< float,2 >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF32IVF32', True, 'itk::Image< itk::Vector< float,3 >,2 >, itk::Image< itk::Vector< float,3 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF33IVF33', True, 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF34IVF34', True, 'itk::Image< itk::Vector< float,3 >,4 >, itk::Image< itk::Vector< float,3 >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF42IVF42', True, 'itk::Image< itk::Vector< float,4 >,2 >, itk::Image< itk::Vector< float,4 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF43IVF43', True, 'itk::Image< itk::Vector< float,4 >,3 >, itk::Image< itk::Vector< float,4 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF44IVF44', True, 'itk::Image< itk::Vector< float,4 >,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF22ICVF22', True, 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF23ICVF23', True, 'itk::Image< itk::CovariantVector< float,2 >,3 >, itk::Image< itk::CovariantVector< float,2 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF24ICVF24', True, 'itk::Image< itk::CovariantVector< float,2 >,4 >, itk::Image< itk::CovariantVector< float,2 >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF32ICVF32', True, 'itk::Image< itk::CovariantVector< float,3 >,2 >, itk::Image< itk::CovariantVector< float,3 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF33ICVF33', True, 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF34ICVF34', True, 'itk::Image< itk::CovariantVector< float,3 >,4 >, itk::Image< itk::CovariantVector< float,3 >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF42ICVF42', True, 'itk::Image< itk::CovariantVector< float,4 >,2 >, itk::Image< itk::CovariantVector< float,4 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF43ICVF43', True, 'itk::Image< itk::CovariantVector< float,4 >,3 >, itk::Image< itk::CovariantVector< float,4 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF44ICVF44', True, 'itk::Image< itk::CovariantVector< float,4 >,4 >, itk::Image< itk::CovariantVector< float,4 >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterISS4ISS4', True, 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUC4IUC4', True, 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUS4IUS4', True, 'itk::Image< unsigned short,4 >, itk::Image< unsigned short,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIF4IF4', True, 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterID2ID2', True, 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterID3ID3', True, 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterID4ID4', True, 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICD2ICD2', True, 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICD3ICD3', True, 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICD4ICD4', True, 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICF2ICF2', True, 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICF3ICF3', True, 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICF4ICF4', True, 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterISS3ISS2', True, 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUC3IUC2', True, 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUS3IUS2', True, 'itk::Image< unsigned short,3 >,itk::Image< unsigned short,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIF3IF2', True, 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterID3ID2', True, 'itk::Image< double,3 >,itk::Image< double,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBUC3IRGBUC2', True, 'itk::Image< itk::RGBPixel< unsigned char >,3 >,itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICD3ICD2', True, 'itk::Image< std::complex< double >,3 >,itk::Image< std::complex< double >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICF3ICF2', True, 'itk::Image< std::complex< float >,3 >,itk::Image< std::complex< float >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterISS4ISS2', True, 'itk::Image< signed short,4 >,itk::Image< signed short,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUC4IUC2', True, 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUS4IUS2', True, 'itk::Image< unsigned short,4 >,itk::Image< unsigned short,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIF4IF2', True, 'itk::Image< float,4 >,itk::Image< float,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterID4ID2', True, 'itk::Image< double,4 >,itk::Image< double,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBUC4IRGBUC2', True, 'itk::Image< itk::RGBPixel< unsigned char >,4 >,itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICD4ICD2', True, 'itk::Image< std::complex< double >,4 >,itk::Image< std::complex< double >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICF4ICF2', True, 'itk::Image< std::complex< float >,4 >,itk::Image< std::complex< float >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterISS4ISS3', True, 'itk::Image< signed short,4 >,itk::Image< signed short,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUC4IUC3', True, 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUS4IUS3', True, 'itk::Image< unsigned short,4 >,itk::Image< unsigned short,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIF4IF3', True, 'itk::Image< float,4 >,itk::Image< float,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterID4ID3', True, 'itk::Image< double,4 >,itk::Image< double,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBUC4IRGBUC3', True, 'itk::Image< itk::RGBPixel< unsigned char >,4 >,itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICD4ICD3', True, 'itk::Image< std::complex< double >,4 >,itk::Image< std::complex< double >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICF4ICF3', True, 'itk::Image< std::complex< float >,4 >,itk::Image< std::complex< float >,3 >'),
)
